FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

Defines | Functions
fl_boxtype.cxx File Reference

drawing code for common box types. More...

`#include <FL/Fl.H>`
`#include <FL/Fl_Widget.H>`
`#include <FL/fl_draw.H>`
`#include <config.h>`

## Defines
#define | D1 BORDER_WIDTH
#define | D2 (BORDER_WIDTH+BORDER_WIDTH)
#define | fl_border_box fl_rectbound
| allow consistent naming
## Functions
void | fl_border_frame (int x, int y, int w, int h, Fl_Color c)
| Draws a frame of type FL_BORDER_FRAME.
void | fl_down_box (int x, int y, int w, int h, Fl_Color c)
| Draws a box of type FL_DOWN_BOX.
void | fl_down_frame (int x, int y, int w, int h, Fl_Color)
| Draws a frame of type FL_DOWN_FRAME.
void | fl_draw_box (Fl_Boxtype t, int x, int y, int w, int h, Fl_Color c)
| Draws a box using given type, position, size and color.
void | fl_embossed_box (int x, int y, int w, int h, Fl_Color c)
| Draws a box of type FL_EMBOSSED_BOX.
void | fl_embossed_frame (int x, int y, int w, int h, Fl_Color)
| Draws a frame of type FL_EMBOSSED_FRAME.
void | fl_engraved_box (int x, int y, int w, int h, Fl_Color c)
| Draws a box of type FL_ENGRAVED_BOX.
void | fl_engraved_frame (int x, int y, int w, int h, Fl_Color)
| Draws a frame of type FL_ENGRAVED_FRAME.
void | fl_frame (const char *s, int x, int y, int w, int h)
| Draws a series of line segments around the given box.
void | fl_frame2 (const char *s, int x, int y, int w, int h)
| Draws a series of line segments around the given box.
uchar * | fl_gray_ramp ()
void | fl_internal_boxtype (Fl_Boxtype t, Fl_Box_Draw_F *f)
| Sets the drawing function for a given box type.
void | fl_no_box (int, int, int, int, Fl_Color)
| Draws a box of type FL_NO_BOX.
void | fl_rectbound (int x, int y, int w, int h, Fl_Color bgcolor)
| Draws a bounded rectangle with a given position, size and color.
void | fl_thin_down_box (int x, int y, int w, int h, Fl_Color c)
| Draws a box of type FL_THIN_DOWN_BOX.
void | fl_thin_down_frame (int x, int y, int w, int h, Fl_Color)
| Draws a frame of type FL_THIN_DOWN_FRAME.
void | fl_thin_up_box (int x, int y, int w, int h, Fl_Color c)
| Draws a box of type FL_THIN_UP_BOX.
void | fl_thin_up_frame (int x, int y, int w, int h, Fl_Color)
| Draws a frame of type FL_THIN_UP_FRAME.
void | fl_up_box (int x, int y, int w, int h, Fl_Color c)
| Draws a box of type FL_UP_BOX.
void | fl_up_frame (int x, int y, int w, int h, Fl_Color)
| Draws a frame of type FL_UP_FRAME.

## Detailed Description

drawing code for common box types.

## Function Documentation

void fl_internal_boxtype | ( | Fl_Boxtype | t,
|  | Fl_Box_Draw_F * | f
| ) |  |

Sets the drawing function for a given box type.

Parameters:

  [in] | t | box type
  [in] | f | box drawing function

void fl_rectbound | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Fl_Color | bgcolor
| ) |  |

Draws a bounded rectangle with a given position, size and color.

Equivalent to drawing a box of type FL_BORDER_BOX.